> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update job information

> Update a person's job information



## OpenAPI

````yaml /openapi/workforce-management.yaml put /v1/persons/{personId}/jobInfo
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/persons/{personId}/jobInfo:
    put:
      tags:
        - Persons
      summary: Update job information
      description: Update a person's job information
      operationId: updatePersonJobInfo
      parameters:
        - $ref: '#/components/parameters/personId'
        - $ref: '#/components/parameters/XMultiTenantKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePersonJobInfoRequest'
      responses:
        '204':
          description: Successful operation
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    personId:
      name: personId
      in: path
      description: The unique identifier for the person
      required: true
      schema:
        type: string
        format: uuid
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    UpdatePersonJobInfoRequest:
      description: Update person job info request payload
      type: object
      properties:
        compInfo:
          $ref: '#/components/schemas/compInfo'
        jobInfo:
          $ref: '#/components/schemas/jobInfo'
    compInfo:
      type: object
      description: >-
        Person's compensation information, how much will they get paid, currency
        and frequency
      properties:
        type:
          type: string
          description: Person's compensation type
          example: net
          enum:
            - net
            - salaried
            - milestone
        salary:
          type: object
          description: Person's compensation amount
          allOf:
            - $ref: '#/components/schemas/amount'
        frequency:
          type: string
          description: Person's compensation frequency
          example: monthly
          enum:
            - hourly
            - daily
            - monthly
        employmentModel:
          type: string
          description: >-
            Specifies the employment model for the person. Set to "eor" for
            Employer of Record employees. When omitted, the person is treated as
            direct employment.
          example: eor
          enum:
            - eor
    jobInfo:
      type: object
      description: Person's job information, start date, job title, and employee number
      properties:
        startDate:
          type: string
          format: date
          example: '2023-01-01'
        employeeNumber:
          type: string
          example: '1'
        title:
          type: string
          example: Software Engineer
        department:
          type: string
          example: Product
        customFields:
          type: array
          description: A list of custom fields associated with the job information
          items:
            $ref: '#/components/schemas/customField'
        entityId:
          type: string
          format: uuid
          description: >-
            The legal entity this person is employed under. If omitted, the
            person is employed under the parent business.
          example: 37ad8c1e-0187-4e10-8c54-395e3385b4d2
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    amount:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: integer
          description: value in lowest denomination
          example: 10000
        currency:
          type: string
          description: currency
          example: USD
    customField:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        name:
          type: string
          example: Tshirt Size
        value:
          type: string
          example: M
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
  responses:
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````